log4shib::StringLiteralComponent(3)

NAME
log4shib::StringLiteralComponent

SYNOPSIS

Inherits log4shib::PatternLayout::PatternComponent.

  Public Member Functions
StringLiteralComponent (const std::string &literal)
virtual void append (std::ostringstream &out, const LoggingEvent &)

Constructor & Destructor Documentation

  log4shib::StringLiteralComponent::StringLiteralComponent (const std::string & literal) [inline]

Member Function Documentation

  virtual void log4shib::StringLiteralComponent::append (std::ostringstream & out, const LoggingEvent &) [inline], [virtual]

Implements log4shib::PatternLayout::PatternComponent.

Author

Generated automatically by Doxygen for log4shib from the source code.